#!/bin/sh

# clean out .icons dirs on system
# rm -rf ~/.icons_user `find / -type d -name .icons -print`

test -d $HOME/.icons_user || mkdir $HOME/.icons_user

PATH=$PATH:.

L1="e_db_ed -db $HOME/.icons_user/.types.db -key"
L3="e_db_ed -db $HOME/.icons_user/.mime.db -key"
L2="-add str"

# what to run for specific mimetypes
$L1 "image/*/execute_string"         $L2 "imlib2_view %d/%f"
$L1 "audio/mpeg/execute_string"      $L2 "killall mikmod; killall mpg123; mpg123 %d/%f"
$L1 "audio/mod/execute_string"       $L2 "killall mikmod; killall mpg123; mikmod -d 0 %d/%f"
$L1 "audio/xm/execute_string"        $L2 "killall mikmod; killall mpg123; mikmod -d 0 %d/%f"
$L1 "audio/s3m/execute_string"       $L2 "killall mikmod; killall mpg123; mikmod -d 0 %d/%f"
$L1 "audio/x-wav/execute_string"     $L2 "esdplay %d/%f"
$L1 "executable/*/execute_string"    $L2 "%d/%f"
$L1 "text/html/execute_string"       $L2 "netscape -remote %d/%f"
$L1 "text/*/execute_string"          $L2 "gedit %d/%f"
$L1 "font/true-type/execute_string"  $L2 "ftview -g 32 %d/%f"
$L1 "video/mpeg/execute_string"      $L2 "mpeg_play -loop -dither color2 -quality on %d/%f"
$L1 "video/x-msvideo/execute_string" $L2 "xanim +f %d/%f"
$L1 "video/quicktime/execute_string" $L2 "xanim +f %d/%f"

# DEFAULT ICONS for mume types - you can use * as a "any subtype will do" as a fallback if there is no specific one

$L1 "executable/*/0.argb"                 $L2 "/usr/share/pixmaps/gnome-die1.png"
$L1 "executable/Eterm/0.argb"             $L2 "/usr/share/pixmaps/gnome-eterm.png"
$L1 "executable/Netscape/0.argb"          $L2 "/usr/share/pixmaps/netscape.png"
$L1 "executable/TkRat/0.argb"             $L2 "/usr/share/pixmaps/gnome-balsa2.png"
$L1 "executable/XMMS/0.argb"              $L2 "/usr/share/pixmaps/mc/gnome-audio.png"
$L1 "executable/The GIMP/0.argb"          $L2 "/usr/share/pixmaps/gnome-gimp.png"
$L1 "executable/Calculator/0.argb"        $L2 "/usr/share/pixmaps/gnome-calc2.png"
$L1 "executable/X Chat/0.argb"            $L2 "/usr/share/pixmaps/gnome-irc.png"
$L1 "executable/XMag/0.argb"              $L2 "/usr/share/pixmaps/gnome-searchtool.png"
$L1 "executable/StarOffice/0.argb"        $L2 "/home/raster/pixmaps/i_staroffice.png"
$L1 "directory/CD ROM Drive/0.argb"       $L2 "/usr/share/pixmaps/mc/i-cdrom.png"
$L1 "directory/Floppy Drive/0.argb"       $L2 "/usr/share/pixmaps/mc/i-floppy.png"
$L1 "directory/pix/0.argb"                $L2 "/home/raster/pixmaps/i_pixdir.png"
$L1 "audio/*/0.argb"                      $L2 "/usr/share/pixmaps/mc/gnome-audio.png"
$L1 "application/x-tar/0.argb"            $L2 "/usr/share/pixmaps/mc/gnome-package.png"
$L1 "application/x-tar-compressed/0.argb" $L2 "/usr/share/pixmaps/mc/gnome-package.png"
$L1 "text/readme/0.argb"                  $L2 "/usr/share/pixmaps/gnome-note.png"
$L1 "text/install/0.argb"                 $L2 "/usr/share/pixmaps/gnome-searchtool.png"
$L1 "text/copyright/0.argb"               $L2 "/usr/share/pixmaps/mc/gnome-manpage.png"
$L1 "text/html/0.argb"                    $L2 "/usr/share/pixmaps/mc/gnome-text-html.png"
$L1 "text/plain/0.argb"                   $L2 "/usr/share/pixmaps/gnome-word.png"
$L1 "image/*/0.argb"                      $L2 "/usr/share/pixmaps/gnome-qeye.png"
$L1 "application/object/0.argb"           $L2 "/usr/share/pixmaps/mc/gnome-objectfile.png"
$L1 "misc/core-dump/0.argb"               $L2 "/usr/share/pixmaps/mc/i-core.png"
$L1 "video/mpeg/0.argb"                   $L2 "/usr/share/pixmaps/mc/gnome-video-mpeg.png"
$L1 "video/x-msvideo/0.argb"              $L2 "/usr/share/pixmaps/mc/gnome-video-x-msvideo.png"
$L1 "video/quicktime/0.argb"              $L2 "/usr/share/pixmaps/mc/gnome-video-quicktime.png"

# MIME TYPES in database (ie extension maps to type/type

$L3 "*.png"  $L2 "image/png"
$L3 "*.gif"  $L2 "image/gif"
$L3 "*.jpeg" $L2 "image/jpeg"
$L3 "*.jpg"  $L2 "image/jpeg"
$L3 "*.ppm"  $L2 "image/ppm"
$L3 "*.pgm"  $L2 "image/pgm"
$L3 "*.pbm"  $L2 "image/pbm"
$L3 "*.pnm"  $L2 "image/pnm"
$L3 "*.rgba" $L2 "image/rgba"
$L3 "*.icon" $L2 "image/png"

$L3 "*.ttf"  $L2 "font/true-type"

$L3 "*.tar"     $L2 "application/x-tar"
$L3 "*.tar.gz"  $L2 "application/x-tar-compressed"
$L3 "*.tgz"     $L2 "application/x-tar-compressed"
$L3 "*.tar.Z"   $L2 "application/x-tar-compressed"
$L3 "*.tar.bz2" $L2 "application/x-tar-compressed"

$L3 "*.mp3"  $L2 "audio/mpeg"
$L3 "*.m3u"  $L2 "audio/mpeg"
$L3 "*.wav"  $L2 "audio/x-wav"
$L3 "*.mod"  $L2 "audio/mod"
$L3 "*.s3m"  $L2 "audio/s3m"
$L3 "*.xm"   $L2 "audio/xm"

$L3 "*.mpeg"  $L2 "video/mpeg"
$L3 "*.mpg"   $L2 "video/mpeg"
$L3 "*.avi"   $L2 "video/x-msvideo"
$L3 "*.mov"   $L2 "video/quicktime"

$L3 "*.html"  $L2 "text/html"
$L3 "*.htm"   $L2 "text/html"
$L3 "*.txt"   $L2 "text/plain"
$L3 "README"  $L2 "text/readme"
$L3 "INSTALL" $L2 "text/install"
$L3 "COPYING" $L2 "text/copyright"
$L3 "NEWS"    $L2 "text/readme"
$L3 "TODO"    $L2 "text/readme"
$L3 "*.c"     $L2 "text/c"
$L3 "*.h"     $L2 "text/h"
$L3 "*.o"     $L2 "application/object"
$L3 "core"    $L2 "misc/core-dump"

exit 0
